Trust Centers
Add Trust Center resource category
Adds a resource category to a Trust Center.
POST
/
trust-centers
/
{slugId}
/
resource-categories
Add Trust Center resource category
curl --request POST \
--url https://api.vanta.com/v1/trust-centers/{slugId}/resource-categories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.vanta.com/v1/trust-centers/{slugId}/resource-categories"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.vanta.com/v1/trust-centers/{slugId}/resource-categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "93d69894dd525f806d7e5c48",
"name": "Policies"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Name of the category.
Related topics
Add Trust Center control categoryAdd Trust Center FAQ categoryAdd Trust Center controlBulk add tags to Trust Center controlsDelete Trust Center resource categoryWas this page helpful?
⌘I
Add Trust Center resource category
